# DataExchange
TKSTEPBase
StepShape

# StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem Class Reference

Added for Dimensional Tolerances
Complex Type between MeasureRepresentationItem and
QualifiedRepresentationItem
.

`#include <StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem.hxx>`

Inheritance diagram for StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureValueMember)&aValueComponent, const StepBasic_Unit &aUnitComponent, const Handle(StepShape_HArray1OfValueQualifier)&qualifiers)
Standard_EXPORT void | SetMeasure (const Handle(StepBasic_MeasureWithUnit)&Measure)
Standard_EXPORT Handle_StepBasic_MeasureWithUnit | Measure () const
Standard_EXPORT Handle_StepShape_HArray1OfValueQualifier | Qualifiers () const
Standard_EXPORT Standard_Integer | NbQualifiers () const
Standard_EXPORT void | SetQualifiers (const Handle(StepShape_HArray1OfValueQualifier)&qualifiers)
Standard_EXPORT StepShape_ValueQualifier | QualifiersValue (const Standard_Integer num) const
Standard_EXPORT void | SetQualifiersValue (const Standard_Integer num, const StepShape_ValueQualifier &aqualifier)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_MeasureWithUnit | myMeasure
Handle_StepShape_HArray1OfValueQualifier | theQualifiers

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureValueMember)& | aValueComponent,
|  | const StepBasic_Unit & | aUnitComponent,
|  | const Handle(StepShape_HArray1OfValueQualifier)& | qualifiers
| ) |

Standard_EXPORT Handle_StepBasic_MeasureWithUnit StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::Measure | ( |  | ) | const

Standard_EXPORT Standard_Integer StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::NbQualifiers | ( |  | ) | const

Standard_EXPORT Handle_StepShape_HArray1OfValueQualifier StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::Qualifiers | ( |  | ) | const

Standard_EXPORT StepShape_ValueQualifier StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::QualifiersValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT void StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::SetMeasure | ( | const Handle(StepBasic_MeasureWithUnit)& | Measure | ) |

Standard_EXPORT void StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::SetQualifiers | ( | const Handle(StepShape_HArray1OfValueQualifier)& | qualifiers | ) |

Standard_EXPORT void StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::SetQualifiersValue | ( | const Standard_Integer | num,
|  | const StepShape_ValueQualifier & | aqualifier
| ) |

## Field Documentation

Handle_StepBasic_MeasureWithUnit StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::myMeasure `[private]`

Handle_StepShape_HArray1OfValueQualifier StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem::theQualifiers `[private]`

The documentation for this class was generated from the following file:

- StepShape_MeasureRepresentationItemAndQualifiedRepresentationItem.hxx